using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace Shride.Models
{
    public class Event
    {
        public Event() { }

        public int EventId { get; set; }

        public string Name { get; set; }

        public string Description { get; set; }

        public string Location { get; set; }

        [Required(ErrorMessage = "Kunde inte hitta plats, försök igen.")]
        public double LocationLat { get; set; }

        [Required(ErrorMessage = "Kunde inte hitta plats, försök igen.")]
        public double LocationLng { get; set; }

        [DataType(DataType.DateTime)]
        [DisplayFormat(DataFormatString = "{0:yyyy-MM-dd, hh:mm}")]
        public DateTime Time { get; set; }

        public bool Private { get; set; }

        public int AccountId { get; set; }
        public Account Account { get; set; }

        public List<Ride> Rides { get; set; }
    }
}
